local orange = rgb(0.9,0.61,0.19)

function update(dt)
    display.text({ text = math.floor(car.oilTemperature), pos = vec2(318,4), letter = vec2(62.5, 137.5), font = 'amy_cluster_ASPC', color = orange, alignment = 1, width = 253, spacing = -20 })
    display.text({ text = (string.format("%.1f", car.oilPressure)), pos = vec2(318,93), letter = vec2(62.5, 137.5), font = 'amy_cluster_ASPC', color = orange, alignment = 1, width = 253, spacing = -20 })
    display.text({ text = (string.format("%.1f", car.distanceDrivenSessionKm)), pos = vec2(467, 180), letter = vec2(33, 93), font = 'amy_cluster_ASPC', color = orange, alignment = 1, width = 145, spacing = -12 })
    display.text({ text = (string.format("%06d",math.floor(car.distanceDrivenTotalKm))), pos = vec2(768, 180), letter = vec2(33, 93), font = 'amy_cluster_ASPC', color = orange, alignment = 1, width = 206, spacing = 0 })
    display.text({ text = math.floor(car.speedKmh), pos = vec2(636, 28), letter = vec2(115, 233), font = 'amy_cluster_ASPC', color = orange, alignment = 1, width = 300, spacing = -40 })
end
